%global debug_package %{nil}

%global git_commit c191e5efbee353a32dd89af0964ee62d18c79ee2
%global git_date 20201001

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

Name:          vmmlib
Version:       1.14.0
Release:       %mkrel -c %{git_suffix} 1
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
License:       BSD
URL:           https://github.com/Eyescale/vmmlib
# retrieve the source archive with
# git clone --recursive https://github.com/Eyescale/vmmlib.git
Source0:       %{version}/%{name}-%{version}-%{git_suffix}.tar.gz
# skip test failing on i586 arch
Patch0:        vmmlib-1.14.0-i586-skip-norm-squared-test.patch
BuildRequires: boost-devel
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: blas-devel
BuildRequires: f2c
BuildRequires: glibc-devel
BuildRequires: doxygen
BuildRequires: cmake
BuildRequires: git-core

%description
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%package devel
Summary:       A vector and matrix math library implemented using C++ templates
Group:         Development/C++
Requires:      pkgconfig
Requires:      cmake

%description devel
vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

%prep
%setup
%ifarch %{ix86}
%patch0 -p1
%endif

%build
%cmake
%cmake_build

%install
%cmake_install

# move cmake files to right place
mkdir -p %{buildroot}%{_datadir}/cmake/vmmlib/
mv %{buildroot}%{_datadir}/%{name}/CMake/*.cmake %{buildroot}%{_datadir}/cmake/vmmlib/
rmdir %{buildroot}%{_datadir}/%{name}/CMake

%check
make -C build test

%files devel
%doc ACKNOWLEDGEMENTS LICENSE.txt README.md
%{_includedir}/vmmlib
%{_datadir}/cmake/vmmlib/
%{_datadir}/vmmlib


%changelog
* Mon Feb 13 2023 ghibo <ghibo> 1.14.0-0.20201001gitc191e5ef.1.mga9
+ Revision: 1941204
- Skip failing tests on i586
- Switch Url to another place.
- Update to release 1.14.0 (git20201001).
- Add boost-devel to BuildRequires.
- Fix files list.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 daviddavid <daviddavid> 1.6.2-0.20140319git925a709b.8.mga8
+ Revision: 1523280
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Jan 27 2019 zezinho <zezinho> 1.6.2-0.20140319git925a709b.7.mga7
+ Revision: 1361194
- fix by arusekk : change cmake path to enable detection

* Wed Sep 19 2018 umeabot <umeabot> 1.6.2-0.20140319git925a709b.6.mga7
+ Revision: 1276960
- Mageia 7 Mass Rebuild

* Mon May 23 2016 daviddavid <daviddavid> 1.6.2-0.20140319git925a709b.5.mga6
+ Revision: 1017960
- rebuild for new atlas 3.10.2

* Wed Feb 03 2016 umeabot <umeabot> 1.6.2-0.20140319git925a709b.4.mga6
+ Revision: 932996
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-0.20140319git925a709b.3.mga5
+ Revision: 749660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-0.20140319git925a709b.2.mga5
+ Revision: 690229
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 spuhler <spuhler> 1.6.2-0.20140319git925a709b.1.mga5
+ Revision: 633303
- first release after import from Fedora
- imported package vmmlib


* Wed Mar 19 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.6.2-1.20140319git925a709b
- New version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.2.rc1
- Added dist tag to spec

* Tue Dec 20 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 1.0-0.1.rc1
- New version

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.4.20111214svn558
- New svn snapshot that fixes cp3_tensor test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.3.20111214svn556
- New svn snapshot that fixes several problems in unit test

* Tue Dec 13 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20111122svn540
- Fixed unit test on 64 bit

* Tue Nov 22 2011 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20111122svn540
- Initial release
